import { TermsOfServiceModal } from './terms-of-service-modal'
import { PrivacyPolicyModal } from './privacy-policy-modal'

export default function Footer() {
    return (
        <footer className="border-t border-gray-800 bg-black text-gray-300">
            <div className="container mx-auto px-4 sm:px-6 lg:px-8 flex flex-col items-center justify-between gap-4 py-10 md:h-24 md:flex-row md:py-0">
                <div className="flex flex-col items-center gap-4 px-8 md:flex-row md:gap-2 md:px-0">
                    <img src="/litenet-logo.png" alt="LiteNet Logo" className="h-6 w-6" />
                    <p className="text-center text-sm leading-loose md:text-left">
                        &copy; 2024 The LiteNet Group. All rights reserved.
                    </p>
                </div>
                <div className="flex gap-4 items-center">
                    <TermsOfServiceModal />
                    <PrivacyPolicyModal />
                </div>
            </div>
        </footer>
    )
}

