"use client";

import React from 'react'
import {
    Dialog,
    DialogContent,
    DialogDescription,
    DialogHeader,
    DialogTitle,
    DialogTrigger,
} from "@/components/ui/dialog"
import { ScrollArea } from "@/components/ui/scroll-area"

export function TermsOfServiceModal() {
    React.useEffect(() => {
        if (window.location.hash === '#tos') {
            document.getElementById('tos-trigger').click();
        }
    }, []);
    return (
        <Dialog>
            <DialogTrigger asChild>
                <button id="tos-trigger" className="text-sm underline underline-offset-4">Terms of Service</button>
            </DialogTrigger>
            <DialogContent className="sm:max-w-[625px] bg-black text-white border border-gray-800">
                <DialogHeader>
                    <DialogTitle className="text-2xl font-bold">Terms of Service</DialogTitle>
                    <DialogDescription className="text-gray-400">
                        Please read our Terms of Service carefully.
                    </DialogDescription>
                </DialogHeader>
                <ScrollArea className="h-[400px] w-full rounded-md border border-gray-800 p-4">
                    <h2 className="text-lg font-semibold mb-2">1. Acceptance of Terms</h2>
                    <p className="mb-4">
                        By accessing or using LiteNet's services, you agree to comply with and be bound by these Terms of Service. If you do not agree to these terms, please do not use our services.
                    </p>

                    <h2 className="text-lg font-semibold mb-2">2. Discord Community Rules</h2>
                    <ul className="list-disc pl-5 mb-4">
                        <li>External drama is strictly prohibited.</li>
                        <li>Discrimination of any kind, including but not limited to sexism, racism, homophobia, and transphobia, is not tolerated.</li>
                        <li>Users must use common sense in all channels. Spamming and posting NSFW content are prohibited.</li>
                        <li>Chain paging is not allowed at any time. Keep them brief, especially in major page groups.</li>
                        <li>Spam calling external numbers is explicitly prohibited, and will result in termination.</li>
                        <li>Staff reserve the right to delete messages, warn, mute, kick, and ban users for any reason, within reason.</li>
                    </ul>

                    <h2 className="text-lg font-semibold mb-2">3. Fax Usage Rules</h2>
                    <ul className="list-disc pl-5 mb-4">
                        <li>NSFW content is prohibited in faxes.</li>
                        <li>Faxes that would take an excessive amount of time to send are not allowed.</li>
                        <li>Extremely long faxes are prohibited.</li>
                        <li>Sending faxes that waste ink excessively is not permitted.</li>
                        <li>Users should not send faxes they wouldn't want to receive themselves.</li>
                    </ul>
                    <p className="mb-4">
                        Note: These fax rules can be waived with prior consent from the recipient.
                    </p>

                    <h2 className="text-lg font-semibold mb-2">4. Conduct</h2>
                    <p className="mb-4">
                        Users are expected to behave in a respectful and lawful manner. The absence of a specific written rule does not imply that an action is permitted. LiteNet reserves the right to determine what constitutes appropriate behavior.
                    </p>

                    <h2 className="text-lg font-semibold mb-2">5. Modifications to Terms</h2>
                    <p className="mb-4">
                        These Terms of Service are subject to change. LiteNet will make an announcement whenever changes occur. It is the user's responsibility to review these terms periodically.
                    </p>

                    <h2 className="text-lg font-semibold mb-2">6. Termination of Service</h2>
                    <p className="mb-4">
                        LiteNet reserves the right to terminate or suspend access to our services, without prior notice or liability, for any reason whatsoever, including without limitation if you breach the Terms of Service.
                    </p>

                    <h2 className="text-lg font-semibold mb-2">7. Limitation of Liability</h2>
                    <p className="mb-4">
                        LiteNet shall not be liable for any indirect, incidental, special, consequential or punitive damages, or any loss of profits or revenues, whether incurred directly or indirectly, or any loss of data, use, goodwill, or other intangible losses, resulting from your access to or use of or inability to access or use the services.
                    </p>

                    <h2 className="text-lg font-semibold mb-2">8. Governing Law</h2>
                    <p className="mb-4">
                        These Terms shall be governed and construed in accordance with the laws of the jurisdiction in which LiteNet operates, without regard to its conflict of law provisions.
                    </p>

                    <p className="mt-4 font-semibold">
                        By using LiteNet's services, you acknowledge that you have read, understood, and agree to be bound by these Terms of Service.
                    </p>
                </ScrollArea>
            </DialogContent>
        </Dialog>
    )
}

